<%#
# Text Show Partial

This partial renders a text attribute,
to be displayed on a resource's show page.

By default, the attribute is rendered as text with
whitespace preserved.

## Local variables:

- `field`:
  An instance of [Administrate::Field::Text][1].
  A wrapper around the Text pulled from the database.

[1]: http://www.rubydoc.info/gems/administrate/Administrate/Field/Text
%>

<%= t("values.#{field.data}", scope: [:fields, field.class.send(:field_type)]) %>

<% if field.data == 'published' %>
  <%= link_to(
    t('actions.unpublish', scope: [:fields, field.class.send(:field_type)]),
    "#{url_for()}/publish", #WOKAROUND resource path is not available from field
    #'',#[namespace, page.resource, :unpublish],
    method: :delete,
    class: "button",
  ) %>
<% elsif field.data == 'draft' %>
  <%= link_to(
    t('actions.publish', scope: [:fields, field.class.send(:field_type)]),
    "#{url_for()}/publish", #WOKAROUND resource path is not available from field
    #[namespace, field.resource, :publish],
    #[namespace, page.resource, :publish],
    method: :post,
    class: "button",
  ) %>
<% end %>
